Get Contact
curl --request GET \
--url https://api.meow.com/v1/contacts/{contact_id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.meow.com/v1/contacts/{contact_id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.meow.com/v1/contacts/{contact_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.meow.com/v1/contacts/{contact_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.meow.com/v1/contacts/{contact_id}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.meow.com/v1/contacts/{contact_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.meow.com/v1/contacts/{contact_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const url = 'https://api.meow.com/v1/contacts/{contact_id}';
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));using RestSharp;
var options = new RestClientOptions("https://api.meow.com/v1/contacts/{contact_id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-api-key", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);val client = OkHttpClient()
val request = Request.Builder()
.url("https://api.meow.com/v1/contacts/{contact_id}")
.get()
.addHeader("x-api-key", "<api-key>")
.build()
val response = client.newCall(request).execute()import Foundation
let url = URL(string: "https://api.meow.com/v1/contacts/{contact_id}")!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["x-api-key": "<api-key>"]
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))falsefalse$headers=@{}
$headers.Add("x-api-key", "<api-key>")
$response = Invoke-WebRequest -Uri 'https://api.meow.com/v1/contacts/{contact_id}' -Method GET -Headers $headers{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"nickname": "<string>",
"payment_methods": {
"ach": {
"counterparty_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name_on_account": "<string>",
"nickname": "<string>",
"account_number": "<string>",
"routing_number": "<string>",
"address_on_account": {
"street_line_1": "<string>",
"city": "<string>",
"postal_code": "<string>",
"street_line_2": "<string>",
"state": "<string>"
}
},
"wire": {
"counterparty_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name_on_account": "<string>",
"nickname": "<string>",
"bank_name": "<string>",
"account_number": "<string>",
"routing_number": "<string>",
"beneficiary_address": {
"street_line_1": "<string>",
"city": "<string>",
"postal_code": "<string>",
"street_line_2": "<string>",
"state": "<string>"
},
"bank_address": {
"street_line_1": "<string>",
"city": "<string>",
"postal_code": "<string>",
"street_line_2": "<string>",
"state": "<string>"
},
"intermediary_bank": {
"name": "<string>",
"routing_number": "<string>",
"address": {
"street_line_1": "<string>",
"city": "<string>",
"postal_code": "<string>",
"street_line_2": "<string>",
"state": "<string>"
}
}
},
"check": {
"counterparty_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name_on_account": "<string>",
"nickname": "<string>",
"mailing_address": {
"street_line_1": "<string>",
"city": "<string>",
"postal_code": "<string>",
"street_line_2": "<string>",
"state": "<string>"
}
},
"international": {
"beneficiary_id": "<string>"
},
"crypto": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"destination_address": "<string>"
}
],
"static_memos": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"destination_address": "<string>"
}
]
},
"supported_payment_methods": [],
"email": "jsmith@example.com",
"address": {
"street_line_1": "<string>",
"city": "<string>",
"postal_code": "<string>",
"street_line_2": "<string>",
"state": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Contacts
Get Contact
Returns details of a specific contact.
GET
/
contacts
/
{contact_id}
Get Contact
Authorizations
Your Meow API key, sent in the x-api-key header for authentication.
Headers
Optional entity_id to scope requests to a specific entity.
Path Parameters
Response
Successful Response
The unique identifier of the contact.
A nickname or display name for the contact.
Required string length:
1 - 400Payment methods associated with this contact.
Show child attributes
Show child attributes
List of payment methods supported by this contact.
Available options:
ach, wire, check, international, crypto, static_memo The email address of the contact.
The physical address of the contact.
Show child attributes
Show child attributes
Payment reason recorded on the most recent payment to this contact.
Available options:
audio_visual_services, bill_payment, business_expenses, construction, donation_charitable_contribution, education_training, family_support, freight, goods_purchased, investment_capital, investment_proceeds, living_expenses, loan_credit_repayment, medical_services, pension, personal_remittance, professional_business_services, real_estate, taxes, technical_services, transfer_to_own_account, travel, wages_salary, other_services ⌘I